Loading...
Searching...
No Matches
L4virtio::Svr::Virtio_i2c< Request_handler, Epiface >::Host_irq Class Reference

Handler for the host irq. More...

`#include <virtio-i2c-device>`

Inheritance diagram for L4virtio::Svr::Virtio_i2c< Request_handler, Epiface >::Host_irq:
Collaboration diagram for L4virtio::Svr::Virtio_i2c< Request_handler, Epiface >::Host_irq:

## Additional Inherited Members

Public Types inherited from L4::Epiface_t0< void, Epiface >
typedef void | Interface
| Data type of the IPC interface definition.
Public Types inherited from L4::Epiface
typedef Ipc_svr::Server_iface | Server_iface
| Type for abstract server interface.
typedef Ipc_svr::Server_iface::Demand | Demand
| Type for server-side receive buffer demand.
Public Member Functions inherited from L4::Irqep_t< Host_irq >
Cap< L4::Irq > | obj_cap () const
| Get the (typed) capability to this object.
Public Member Functions inherited from L4::Epiface_t0< void, Epiface >
Type_info::Demand | get_buffer_demand () const
| Get the server-side buffer demand based in IFACE.
Cap< void > | obj_cap () const
| Get the (typed) capability to this object.
Public Member Functions inherited from L4::Epiface
| Epiface ()
| Make a server object.
virtual | ~Epiface ()=0
| Destroy the object.
Stored_cap | obj_cap () const
| Get the capability to the kernel object belonging to this object.
Server_iface * | server_iface () const
| Get pointer to server interface at which the object is currently registered.
int | set_server (Server_iface *srv, Cap< void > cap, bool managed=false)
| Set server registration info for the object.
void | set_obj_cap (Cap< void > const &cap)
| Deprecated server registration function.

## Detailed Description

template<typename Request_handler, typename Epiface = L4virtio::Device>
class L4virtio::Svr::Virtio_i2c< Request_handler, Epiface >::Host_irq

Handler for the host irq.

An L4::Irqep_t to handle irqs send to the server.

Definition at line 106 of file virtio-i2c-device.

The documentation for this class was generated from the following file:

- l4/l4virtio/server/virtio-i2c-device